<?php
ini_set('display_errors', 1);
require_once './Control/ControlContato.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlContato = new ControlContato();
if ($acao == 'inserir')
{
	$contatoDepartamento = new Contatodepartamento();
} else
{
	$contatoDepartamento = $controlContato->pegarUmContatodepartamento($pk);
}
if ($acao != 'excluir')
{
    $contatoDepartamento->lang = $lang;
    $contatoDepartamento->sNome(stripslashes($txtNome));
    $contatoDepartamento->setEmail(stripslashes($txtEmail));
    $contatoDepartamento->setTelefone(stripslashes($txtTelefone));
    $contatoDepartamento->setRamal(stripslashes($txtRamal));
    $contatoDepartamento->setHabilitado(stripslashes($cbHabilitado));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlContato->salvarContatodepartamento($contatoDepartamento);
                    break;
            case 'inserir':
                    $retorno = $controlContato->salvarContatodepartamento($contatoDepartamento);
                    $acao = 'alterar';
                    $contatoDepartamento->find(true);
                    $pk = $contatoDepartamento->getContatodepartamentoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlContato->excluirContatodepartamento($contatoDepartamento);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#contatoDepartamentoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>